Friday, March 22, 2019 10:48:30 PM

Plugin not working in nop 4.0

7 months ago
#8362 Quote
Hey everyone.

We had this plugin working perfectly fine in 3.9. I upgraded our site to nop 4.0 yesterday and now it's broken. I've uninstalled it completely, re-installed the 4.0 version of the plugin. The install goes just fine, I enter our serial number, that works. But when I create and IP rules they don't work. It doesn't block blank IP4 addresses. The "anti hacker" area has an error message of "was not found or does not implement icontroller". I've enabled debugging in the plugin config area and there is nothing in the log indicating any problems. There are also no messages in the nop commerce log.

The site is hosted using Azure web apps.

7 months ago
#8365 Quote
>It doesn't block blank IP4 addresses.
Do you mean if customer uses IP6 and plugin didn't block it?

>There are also no messages in the nop commerce log.
Clear the nop cache and try again.
Plugin caches Bad and Good IP addresses for better performance.
Clear the nop cache and try to reload the pag fro another your browser (as a Guest).
Do it and write me about result.

7 months ago
#8371 Quote
Checking this box no longer does anything:



Because we have a bunch of blank IP's here:



I've uninstalled the plugin, cleared cache, re-installed, cleared cache again. Still having those issues. I tried blocking my phone's IP address and that doesn't do anything.

Thanks for the help.
7 months ago
#8374 Quote
I want to think....
7 months ago
#8375 Quote
If customer has a IPv6 address plugin ignored it (ALLOW).
I changed the logic and plugin will check the plugin parameter "Block empty IP4 address".

Try the new release and write me about result.
I am sorry for this problem...
7 months ago
#8376 Quote
Hi.

The new release still doesn't work. My gut tells me the plugin isn't installing properly because of this error:

7 months ago
#8381 Quote
>The new release still doesn't work. My gut tells me the plugin isn't installing properly because of this error:

I didn't see any error on this page.
Can I connect to your PC using TEamViever or another remote desktop program?
Write me to my e-mail support@foxnetsoft.com.
6 months ago
#8394 Quote
Hi.

My site is on 4.1 now. I downloaded the plugin again. Installed the 4.1 version. Still the same error. If you'd like a TeamViewer session please email me.
6 months ago
#8396 Quote
Yes.
Send me TeamViewer login and password and full error message.